REM ========================================================================================================================================================
REM getDate.cmd - Store the month, day and year into environment variables regardless of regional date settings
REM ========================================================================================================================================================

@echo off
			
REM passess Day mm dd yyyy (Mon 12 22 2009 or variaton) to DatePart
   FOR /f "tokens=1-4 delims=/-. " %%a IN ('date /t') DO (call :DatePart %%a %%b %%c %%d)

REM Set the environment variables, ensuring correct lengths and no embedded blanks
   SET day=%date:~0,3%
   SET mm=%mm:~0,2%
   SET dd=%dd:~0,2%
   SET yyyy=%yy:~0,4%
   IF %day%==Sun SET day=Sunday
   IF %day%==Mon SET day=Monday
   IF %day%==Tue SET day=Tuesday
   IF %day%==Wed SET day=Wednesday
   IF %day%==Thu SET day=Thursday
   IF %day%==Fri SET day=Friday
   IF %day%==Sat SET day=Saturday   
   goto :End_getDate
   

REM If 1st variable is day name process parms 2-4; parse dateparts from date command and assign correct values
   :DatePart 
   if "%1:~0,1%" GTR "9" shift
   FOR /f "skip=1 tokens=2-4 delims=(-)" %%a IN ('echo.^|date') DO (
       set %%a=%1 & set %%b=%2 & set %%c=%3)

:End_getDate

